List Google Calendars
curl --request GET \
--url https://api.trillet.ai/v1/api/gcal/calendars \
--header 'x-api-key: <api-key>' \
--header 'x-workspace-id: <x-workspace-id>'import requests
url = "https://api.trillet.ai/v1/api/gcal/calendars"
headers = {
"x-api-key": "<api-key>",
"x-workspace-id": "<x-workspace-id>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-api-key': '<api-key>', 'x-workspace-id': '<x-workspace-id>'}
};
fetch('https://api.trillet.ai/v1/api/gcal/calendars', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"calendars": [
{
"id": "primary",
"summary": "John Doe",
"primary": true
},
{
"id": "appointments@company.com",
"summary": "Appointments",
"primary": false
}
]
}
List Google Calendars
List all available Google Calendars for the connected account.
GET
/
v1
/
api
/
gcal
/
calendars
List Google Calendars
Headers
string
required
API key used for authenticating requests to the API.
string
required
Workspace identifier for the API.
Query Parameters
string
required
The call flow pathway ID with the Google Calendar connection.
Response Fields
array
{
"calendars": [
{
"id": "primary",
"summary": "John Doe",
"primary": true
},
{
"id": "appointments@company.com",
"summary": "Appointments",
"primary": false
}
]
}
⌘I
